package com.gh.gamecenter.setting.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IBrowserInstallHelperProvider
import com.gh.gamecenter.core.utils.ToastUtils

@com.therouter.inject.ServiceProvider
class BrowserInstallHelperProviderImpl : IBrowserInstallHelperProvider {
    override fun isUseBrowserToInstallEnabled(): Boolean {
        return false
    }

    override fun shouldUseBrowserToInstall(): Boolean {
        return false
    }

    override fun logSwitchInstallSettingEvent() {
        ToastUtils.toast("调用->BrowserInstallHelperProviderImpl.logSwitchInstallSettingEvent")
    }


    override fun init(context: Context?) {
        // Do nothing
    }
}